module.exports = {
  proxyTable: {
    '/icore.icp.web/pass/ioms/v1': {
        target: 'https://ioms.steerinfo.com/v1', //加http
        changeOrigin: true,
        pathRewrite: {
          '^/icore.icp.web/pass/ioms/v1': '/' //这里理解成用‘/api’代替target里面的地址，组件中我们调接口时直接用/api代替
          // 比如我要调用'http://0.0:300/user/add'，直接写‘/api/user/add’即可 代理后地址栏显示/
        }
      },
    '/views/ioms/v1': {
      target: 'https://ioms.steerinfo.com/v1', //加http
      changeOrigin: true,
      pathRewrite: {
        '^/views/ioms/v1': '/' //这里理解成用‘/api’代替target里面的地址，组件中我们调接口时直接用/api代替
        // 比如我要调用'http://0.0:300/user/add'，直接写‘/api/user/add’即可 代理后地址栏显示/
      }
    },
    '/icore.icp.web/pass/v1': {
        // target: 'http://172.16.90.238:8088/v1', //加http
        target: 'http://172.16.90.221:8001/v1', //加http
        changeOrigin: true,
        pathRewrite: {
          '^/icore.icp.web/pass/v1': '/' //这里理解成用‘/api’代替target里面的地址，组件中我们调接口时直接用/api代替
          // 比如我要调用'http://0.0:300/user/add'，直接写‘/api/user/add’即可 代理后地址栏显示/
        }
      },
      '/icore.icp.web/pass/auth': {
        // target: 'http://172.16.90.238:8088/auth', //加http
        target: 'http://172.16.90.221:8001/auth', //加http
        changeOrigin: true,
        pathRewrite: {
          '^/icore.icp.web/pass/auth': '/' //这里理解成用‘/api’代替target里面的地址，组件中我们调接口时直接用/api代替
          // 比如我要调用'http://0.0:300/user/add'，直接写‘/api/user/add’即可 代理后地址栏显示/
        }
      },
      '/icore.icp.web/pass/logout': {
        // target: 'http://172.16.90.238:8088/logout', //加http
        target: 'http://172.16.90.221:8001/logout', //加http
        changeOrigin: true,
        pathRewrite: {
          '^/icore.icp.web/pass/logout': '/' //这里理解成用‘/api’代替target里面的地址，组件中我们调接口时直接用/api代替
          // 比如我要调用'http://0.0:300/user/add'，直接写‘/api/user/add’即可 代理后地址栏显示/
        }
      },
       '/icore.icp.web/restPassword': {
         target: 'http://172.16.90.221:8001',
         changeOrigin: true,
         pathRewrite: {
           '^/icore.icp.web/restPassword': '/'
         }
       },
      '/icore.icp.web/pass/configCenter': {
        target: 'https://config.steerinfo.com/configCenter', //加http
        changeOrigin: true,
        pathRewrite: {
          '^/icore.icp.web/pass/configCenter': '/' //这里理解成用‘/api’代替target里面的地址，组件中我们调接口时直接用/api代替
          // 比如我要调用'http://0.0:300/user/add'，直接写‘/api/user/add’即可 代理后地址栏显示/
        }
      },
      '/icore.icp.web/pass/serviceCenter': {
        target: 'https://service-govern.steerinfo.com',
        changeOrigin: true,
        pathRewrite: {
          '^/icore.icp.web/pass/serviceCenter': '/'
        }
      },
      '/icore.icp.web/pass/act': {
        target: 'https://act.steerinfo.com',
        changeOrigin: true,
        pathRewrite: {
          '^/icore.icp.web/pass/act': '/'
        }
      },
      '/icore-api': {
        // target: 'http://172.16.90.238:8088',
        target: 'http://172.16.90.221:8001',
        changeOrigin: true,
        pathRewrite: {
          '^/icore-api': '/'
        }
      },
      '/icore.icp.web/pass/ems': {
        // target: '172.16.90.238:8888',
        target: 'http://localhost:8086',
        ws: true,
        changeOrigin: true,
        pathRewrite: {
          '^/icore.icp.web/pass/ems': '/'
        }
      },
      '/icore.icp.web/pass/product': {
        target: 'http://localhost:8888',
       // target: '172.16.90.238:8089',
        changeOrigin: true,
        pathRewrite: {
          '^/icore.icp.web/pass/product': '/'
        }
      },
      '/icore.icp.web/pass/localhost': {
        target: 'http://localhost:8888',
        changeOrigin: true,
        pathRewrite: {
          '^/icore.icp.web/pass/localhost': '/'
        }
      },
      '/icore.icp.web/pass/websocket': {
        target: 'http://172.16.90.221:8002',
        changeOrigin: true,
        pathRewrite: {
          '^/icore.icp.web/pass/websocket': '/'
        }
      },
      '/xt.pass.web/pass/emswebsocket': {
        // target: '172.16.90.238:8888',
        target: 'http://172.16.90.221:8002',
        ws: true,
        changeOrigin: true,
        pathRewrite: {
          '^/xt.pass.web/pass/emswebsocket': '/'
        }
      }
  },
  //devModules: ['index','workFlow','ApiManage','apollo','authManage','configManager','devops','dingtalk','serviceManager','microService','monitor','systemConfig','metaData','multEntry','demo']
  //  devModules: ['all'] // 不建议使用，运行速度太慢，发布构建会失败
    // devModules: ['dingtalk','dingtalkMobileEnd','formGenerator','gatewayCfg','index','logAudit','metaData','workFlow','preview','serviceManager',
    // 'systemConfig','multEntry','microService','basicInformation','energyAnalysis','energyBalance','energyOperationSupport',
    // 'energyPerformance','energyPlan','energyQuality','energyScheduling','systemInterface'],
     // 用于构建
    devModules: ['index','metaData','systemConfig','multEntry',
    'basicInformation','energyAnalysis','energyBalance','energyOperationSupport','energyPerformance','energyPlan','energyQuality','energyScheduling','systemInterface','formGenerator']
}
