import Vue from 'vue'
import Router from 'vue-router'
import '@/assets/iconfont/iconfont.css'

// 主要
import main from '@/components/main.vue'
// 能源上报_晋泰信和
import usageData from '../components/usageData.vue'
// 能耗数据管理
import energyDepletion from '../components/energyDepletion.vue'
// 仪表数据实时查询
import getCorDas from '../components/getCorDas.vue'
// 能源仪表数据查询
import emsMeterData from '../components/emsMeterData.vue'
// 环保设施涉外监控数据展示
import hbData from '../components/hbData.vue'
// 能源监控数据展示
import coreDasData from '../components/coreDasData.vue'
// 消息推送日志
import webSocketLog from '../components/webSocketLog.vue'
// 大宗物料收发数据-实时
import getDzMaterialReal from '../components/DzMaterial/getDzMaterialReal.vue'
// 大宗物料收发数据
import getDzMaterial from '../components/DzMaterial/getDzMaterial.vue'
// 获取钢种规格数据
import getGradesAndSpecifications from '../components/Basics/getGradesAndSpecifications.vue'
// 获取WMS钢种规格数据
import getWmsStandardReal from '../components/Basics/getWmsStandardReal.vue'

Vue.use(Router)

export default new Router({
    routes: [{
        path: '/',
        name: 'main',
        component: main,
        redirect: {
            name: 'usageData'
        },
        children: [
            {
                path: 'usageData',
                name: 'usageData',
                component: usageData
            },
            {
                path: 'energyDepletion',
                name: 'energyDepletion',
                component: energyDepletion
            },
            {
                path: 'getCorDas',
                name: 'getCorDas',
                component: getCorDas
            },
            {
                path: 'emsMeterData',
                name: 'emsMeterData',
                component: emsMeterData
            },
            {
                path: 'hbData',
                name: 'hbData',
                component: hbData
            },
            {
                path: 'coreDasData',
                name: 'coreDasData',
                component: coreDasData
            },
            {
                path: 'webSocketLog',
                name: 'webSocketLog',
                component: webSocketLog
            },
            {
              path: 'getDzMaterialReal',
              name: 'getDzMaterialReal',
              component: getDzMaterialReal
            },
            {
              path: 'getDzMaterial',
              name: 'getDzMaterial',
              component: getDzMaterial
            },
            {
              path: 'getGradesAndSpecifications',
              name: 'getGradesAndSpecifications',
              component: getGradesAndSpecifications
            },
            {
              path: 'getWmsStandardReal',
              name: 'getWmsStandardReal',
              component: getWmsStandardReal
            }
        ]
    }]
})
